Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS1mcDM2LW1qdzUtZm1neM4AAy5w

xwiki-platform-web-templates allows users to be created even when registration is disabled without validation via template macro

Impact

If a guest has view rights on any document, it's possible to create a new user using the distribution/firstadminuser.wiki in the wrong context.

To reproduce:

Patches

The vulnerability has been patched in XWiki 15.0-rc-1 and 14.10.1.

Workarounds

There is no known workaround other than upgrading.

References

https://jira.xwiki.org/browse/XWIKI-19852
https://jira.xwiki.org/browse/XWIKI-20400

For more information

If you have any questions or comments about this advisory:

Permalink: https://github.com/advisories/GHSA-fp36-mjw5-fmgx
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS1mcDM2LW1qdzUtZm1neM4AAy5w
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: over 1 year ago
Updated: 9 months ago


CVSS Score: 5.0
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:N/I:L/A:N

Identifiers: GHSA-fp36-mjw5-fmgx, CVE-2023-29513
References: Repository: https://github.com/xwiki/xwiki-platform
Blast Radius: 1.0

Affected Packages

maven:org.xwiki.platform:xwiki-platform-web-templates
Affected Version Ranges: >= 8.0-rc-1, < 14.10.1
Fixed in: 14.10.1